Last modified: 2014-07-08 07:42:57 UTC

Wikimedia Bugzilla is closed!

Wikimedia has migrated from Bugzilla to Phabricator. Bug reports should be created and updated in Wikimedia Phabricator instead. Please create an account in Phabricator and add your Bugzilla email address to it.
Wikimedia Bugzilla is read-only. If you try to edit or create any bug report in Bugzilla you will be shown an intentional error message.
In order to access the Phabricator task corresponding to a Bugzilla report, just remove "static-" from its URL.
You could still run searches in Bugzilla or access your list of votes but bug reports will obviously not be up-to-date in Bugzilla.
Bug 65011 - Set $wgLegacyJavaScriptGlobals = false on test2wiki
Set $wgLegacyJavaScriptGlobals = false on test2wiki
Status: RESOLVED FIXED
Product: Wikimedia
Classification: Unclassified
Site requests (Other open bugs)
wmf-deployment
All All
: Normal enhancement (vote)
: ---
Assigned To: Nobody - You can work on this!
:
Depends on:
Blocks: 33837
  Show dependency treegraph
 
Reported: 2014-05-07 18:28 UTC by Helder
Modified: 2014-07-08 07:42 UTC (History)
10 users (show)

See Also:
Web browser: ---
Mobile Platform: ---
Assignee Huggle Beta Tester: ---


Attachments

Description Helder 2014-05-07 18:28:55 UTC
Since bug 33837 is open for more than two years, can we get $wgLegacyJavaScriptGlobals = false at least on test wikis so script maintainers can esaily notice any remaining usages of these globals?
Comment 1 Andre Klapper 2014-05-13 08:04:34 UTC
Which "test wikis" specifically?
Comment 2 Helder 2014-05-14 01:44:57 UTC
test.wikipedia.org?
Comment 3 MZMcBride 2014-05-14 01:54:31 UTC
"Test wikis" typically means the phase 0 wikis these days, I think. That's four wikis: testwiki, test2wiki, mediawikiwiki, and testwikidata. Probably makes sense to make this change on those four or tweak the bug summary. :-)
Comment 4 TeleComNasSprVen 2014-05-26 19:30:52 UTC
What are the default settings for the production wikis?
Comment 5 Helder 2014-05-26 19:53:08 UTC
I think it is the same as the default MediaWiki configuration ($wgLegacyJavaScriptGlobals = true):
https://github.com/wikimedia/mediawiki-core/blob/master/includes/DefaultSettings.php#L3241-L3266
Comment 7 Gerrit Notification Bot 2014-06-14 00:14:40 UTC
Change 139569 had a related patch set uploaded by Withoutaname:
Disable $wgLegacyJavaScriptGlobals for "group0" wikis

https://gerrit.wikimedia.org/r/139569
Comment 8 Krinkle 2014-07-03 19:36:06 UTC
Gadget authors have not yet been given a fair chance to migrate their scripts. Disabling this now will needlessly upset users and break actively deployed user applications on mediawiki.org. Given the complex nature of our user scripts (cross-loading from different wikis), we'll definitely need a phase where these emit deprecation notices so that developers have the chance of migrating their scripts *before* we boldly remove it hoping they'll quickly fix it. That's counting on breakage as the means to communicate change and I dont like that.
Comment 9 Krinkle 2014-07-03 19:37:41 UTC
Right now we have about a dozen other highly visible migrations going on in the front-end. These legacy globals is not one of them. They haven't been announced very publicly, have no deprecation warnings for developers either.

They're also cheap to maintain compatibility for. I wouldn't prioritise pushing for the removal of these in the current MediaWiki release cycle.
Comment 10 Krinkle 2014-07-03 19:38:58 UTC
Those comments were intended for bug 33837.
Comment 11 Krinkle 2014-07-03 19:41:36 UTC
I think disabling it anywhere is ahead of the curve right now (we should do announcements and deprecation first), and that curve has not yet started due to other priorities right now.

However if users themselves are volunteering to test on testwikis, I think disabling this on test2wiki only would be fine. We do the same currently for the jQuery Migration (although that has already gone through announcements and deprecation warnings first).
Comment 12 Gerrit Notification Bot 2014-07-07 23:03:03 UTC
Change 139569 merged by jenkins-bot:
Disable $wgLegacyJavaScriptGlobals for test2wiki

https://gerrit.wikimedia.org/r/139569
Comment 13 James Forrester 2014-07-07 23:20:07 UTC
Now done.

Note You need to log in before you can comment on or make changes to this bug.


Navigation
Links